Bug 970183 - MapReduce Job submission should allow more than one user
Summary: MapReduce Job submission should allow more than one user
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: gluster-hadoop   
(Show other bugs)
Version: mainline
Hardware: Unspecified Unspecified
high
medium
Target Milestone: ---
Assignee: Bradley Childs
QA Contact: Martin Bukatovic
URL:
Whiteboard:
Keywords: Triaged
: 968432 (view as bug list)
Depends On: 1061742
Blocks: 969195 969223 1056652 1057253
TreeView+ depends on / blocked
 
Reported: 2013-06-03 15:51 UTC by Steve Watt
Modified: 2018-09-18 08:40 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1056652 (view as bug list)
Environment:
Last Closed: 2018-09-18 08:40:46 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Watt 2013-06-03 15:51:19 UTC
At present, for a MapReduce Job Submission to work, the user ID submitting the job should be the same user ID that started the JobTracker and TaskTracker. We need to be able to support Job Submission by multiple users as the current user (mapred) will not always have permissions to access all the data for all foreseeable Hadoop jobs.

Comment 2 Jay Vyas 2013-11-19 12:59:28 UTC
Multitenancy has now been addressed, with an upcoming ACL patch to be released 
shortly.  

The solution is to add a hook into the file system which, and based on a regex, 
add ACL privileges for a hadoop / mapred daemon, so that it can always see any 
files which are jobtracker related.  This way, any user can submit a job and be 
gauranteed that the jobtracker daemon (specified in a config parameter), will 
be able to run that job. 

See https://forge.gluster.org/hadoop/pages/Security

Comment 3 Scott Haines 2013-11-19 19:37:25 UTC
Per 11/13 bug triage meeting, re-assigning to bchilds.  Also marking MODIFIED.

Comment 4 Jay Vyas 2013-11-25 14:58:32 UTC
*** Bug 968432 has been marked as a duplicate of this bug. ***

Comment 6 Amar Tumballi 2018-09-18 08:40:46 UTC
gluster-hadoop project is not being actively maintained, and the team is not planning to contribute further on to it.


Note You need to log in before you can comment on or make changes to this bug.